File: 0004-Force-major-version-for-apache-to-2.patch

package info (click to toggle)
ocamlnet 4.1.8-2
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 52,232 kB
  • sloc: ml: 151,647; ansic: 11,049; sh: 1,975; makefile: 1,310
file content (28 lines) | stat: -rw-r--r-- 923 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
From: Stefano Zacchiroli <zack@upsilon.cc>
Date: Mon, 8 Sep 2008 21:55:44 +0200
Subject: Force major version for apache to 2

Rationale: in Debian we currently only build against apache 2, and
forcing it enables relaxing the build-dependency against
apache2-mpm-worker (one of the packages shipping /usr/sbin/apache2)

Signed-off-by: Stefano Zacchiroli <zack@upsilon.cc>
---
 configure | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/configure b/configure
index 496e597..1c3256e 100755
--- a/configure
+++ b/configure
@@ -1059,8 +1059,8 @@ if [ $enable_apache -gt 0 ]; then
 	apache=`get_path apache`
     fi
 
-    if [ -x "$apxs" ] && [ -x "$apache" ]; then
-	apache_major=`$apache -v | head -n1 | sed -e "s,.*/\([1-9]\).*,\1,"`
+    if [ -x "$apxs" ] ; then
+	apache_major=2
 	apache_libdir="`$apxs -q LIBEXECDIR`"
 	apache_incdir="`$apxs -q INCLUDEDIR`"
 	apache_confdir="`$apxs -q SYSCONFDIR`"